OpenVZ Forum


Home » General » Support » Duplicate kernel error / error checking dependencies (kernel-3.10.0-957.1.3.el7.x86_64 is a duplicate with kernel-3.10.0-862.14.4.el7.x86_64)
Duplicate kernel error / error checking dependencies [message #53607] Thu, 19 December 2019 18:08 Go to next message
dmc_dtc is currently offline  dmc_dtc
Messages: 8
Registered: May 2014
Location: Serbia
Junior Member
From: *dynamic.isp.telekom.rs
Hi i am using OpenVZ 7 with kernel 3.10.0-957.12.2.vz7.96.21

Today i got new updates and

yum update -x kernel (which i usually type gives me following error):

--> Processing Dependency: libjson-c.so.2(libjson-c.so.2)(64bit) for package: ploop-7.0.163-1.vz7.x86_64
--> Finished Dependency Resolution
Error: Package: libprlcommon-7.0.184.2-1.vz7.x86_64 (openvz-os)
Requires: libjson-c.so.2(libjson-c.so.2)(64bit)
Error: Package: ploop-7.0.163-1.vz7.x86_64 (openvz-os)
Requires: libjson-c.so.2(libjson-c.so.2)(64bit)
Error: Package: 1:libguestfs-1.40.2-5.1.vz7.4.x86_64 (openvz-os)
Requires: libjansson.so.4(libjansson.so.4)(64bit)
You could try using --skip-broken to work around the problem
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
kernel-3.10.0-957.1.3.el7.x86_64 is a duplicate with kernel-3.10.0-862.14.4.el7.x86_64

here is full list of ransaction

# yum update -x kernel
Loaded plugins: fastestmirror, openvz, priorities
Loading mirror speeds from cached hostfile
* base: mirror.checkdomain.de
* epel: ftp.plusline.net
* extras: mirror.alpix.eu
* openvz-os: mirror.softaculous.com
* openvz-updates: mirror.softaculous.com
* updates: mirror.alpix.eu
228 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package criu.x86_64 0:3.12.0.11-1.vz7 will be updated
---> Package criu.x86_64 0:3.12.1.36-1.vz7 will be an update
--> Processing Dependency: nftables for package: criu-3.12.1.36-1.vz7.x86_64
---> Package kernel-tools.x86_64 0:3.10.0-957.12.2.vz7.96.21 will be updated
---> Package kernel-tools.x86_64 0:3.10.0-1062.4.2.vz7.116.7 will be an update
---> Package kernel-tools-libs.x86_64 0:3.10.0-957.12.2.vz7.96.21 will be updated
---> Package kernel-tools-libs.x86_64 0:3.10.0-1062.4.2.vz7.116.7 will be an update
---> Package libguestfs.x86_64 1:1.36.10-6.2.vz7.16 will be updated
---> Package libguestfs.x86_64 1:1.40.2-5.1.vz7.4 will be an update
--> Processing Dependency: libjansson.so.4(libjansson.so.4)(64bit) for package: 1:libguestfs-1.40.2-5.1.vz7.4.x86_64
---> Package libguestfs-appliance.x86_64 1:1.36.10-6.2.vz7.16 will be updated
---> Package libguestfs-appliance.x86_64 1:1.40.2-5.1.vz7.4 will be an update
---> Package libprlcommon.x86_64 0:7.0.169.3-1.vz7 will be updated
---> Package libprlcommon.x86_64 0:7.0.184.2-1.vz7 will be an update
--> Processing Dependency: libjson-c.so.2(libjson-c.so.2)(64bit) for package: libprlcommon-7.0.184.2-1.vz7.x86_64
---> Package libprlsdk.x86_64 0:7.0.238.3-3.vz7 will be updated
---> Package libprlsdk.x86_64 0:7.0.245.2-1.vz7 will be an update
---> Package libprlsdk-python.x86_64 0:7.0.238.3-3.vz7 will be updated
---> Package libprlsdk-python.x86_64 0:7.0.245.2-1.vz7 will be an update
---> Package libprlxmlmodel.x86_64 0:7.0.81-3.vz7 will be updated
---> Package libprlxmlmodel.x86_64 0:7.0.82-1.vz7 will be an update
---> Package libvcmmd.x86_64 0:7.0.22-3.vz7 will be updated
---> Package libvcmmd.x86_64 0:7.0.23-1.vz7 will be an update
---> Package libvirt.x86_64 0:4.5.0-10.vz7.16 will be updated
---> Package libvirt.x86_64 0:4.5.0-10.vz7.32.4 will be an update
---> Package libvirt-bash-completion.x86_64 0:4.5.0-10.vz7.16 will be updated
---> Package libvirt-bash-completion.x86_64 0:4.5.0-10.vz7.32.4 will be an update
---> Package libvirt-client.x86_64 0:4.5.0-10.vz7.16 will be updated
---> Package libvirt-client.x86_64 0:4.5.0-10.vz7.32.4 will be an update
---> Package libvirt-daemon.x86_64 0:4.5.0-10.vz7.16 will be updated
---> Package libvirt-daemon.x86_64 0:4.5.0-10.vz7.32.4 will be an update
---> Package libvirt-daemon-config-nwfilter.x86_64 0:4.5.0-10.vz7.16 will be updated
---> Package libvirt-daemon-config-nwfilter.x86_64 0:4.5.0-10.vz7.32.4 will be an update
---> Package libvirt-daemon-driver-interface.x86_64 0:4.5.0-10.vz7.16 will be updated
---> Package libvirt-daemon-driver-interface.x86_64 0:4.5.0-10.vz7.32.4 will be an update
---> Package libvirt-daemon-driver-network.x86_64 0:4.5.0-10.vz7.16 will be updated
---> Package libvirt-daemon-driver-network.x86_64 0:4.5.0-10.vz7.32.4 will be an update
---> Package libvirt-daemon-driver-nodedev.x86_64 0:4.5.0-10.vz7.16 will be updated
---> Package libvirt-daemon-driver-nodedev.x86_64 0:4.5.0-10.vz7.32.4 will be an update
---> Package libvirt-daemon-driver-nwfilter.x86_64 0:4.5.0-10.vz7.16 will be updated
---> Package libvirt-daemon-driver-nwfilter.x86_64 0:4.5.0-10.vz7.32.4 will be an update
---> Package libvirt-daemon-driver-qemu.x86_64 0:4.5.0-10.vz7.16 will be updated
---> Package libvirt-daemon-driver-qemu.x86_64 0:4.5.0-10.vz7.32.4 will be an update
---> Package libvirt-daemon-driver-storage.x86_64 0:4.5.0-10.vz7.16 will be updated
---> Package libvirt-daemon-driver-storage.x86_64 0:4.5.0-10.vz7.32.4 will be an update
---> Package libvirt-daemon-driver-storage-core.x86_64 0:4.5.0-10.vz7.16 will be updated
---> Package libvirt-daemon-driver-storage-core.x86_64 0:4.5.0-10.vz7.32.4 will be an update
---> Package libvirt-daemon-kvm.x86_64 0:4.5.0-10.vz7.16 will be updated
---> Package libvirt-daemon-kvm.x86_64 0:4.5.0-10.vz7.32.4 will be an update
---> Package libvirt-libs.x86_64 0:4.5.0-10.vz7.16 will be updated
---> Package libvirt-libs.x86_64 0:4.5.0-10.vz7.32.4 will be an update
---> Package libvirt-python.x86_64 0:4.5.0-1.vz7.1 will be updated
---> Package libvirt-python.x86_64 0:4.5.0-1.vz7.4 will be an update
---> Package libvzctl.x86_64 0:7.0.530.1-1.vz7 will be updated
---> Package libvzctl.x86_64 0:7.0.542-2.vz7 will be an update
---> Package libvzevent.x86_64 0:7.0.7-5.vz7 will be updated
---> Package libvzevent.x86_64 0:7.0.7-6.vz7 will be an update
---> Package microcode_ctl.x86_64 2:2.1-53.3.el7_7 will be updated
---> Package microcode_ctl.x86_64 2:2.1-53.7.el7_7 will be an update
---> Package nss.x86_64 0:3.44.0-4.el7 will be updated
---> Package nss.x86_64 0:3.44.0-7.el7_7 will be an update
---> Package nss-softokn.x86_64 0:3.44.0-5.el7 will be updated
---> Package nss-softokn.x86_64 0:3.44.0-8.el7_7 will be an update
---> Package nss-softokn-freebl.i686 0:3.44.0-5.el7 will be updated
---> Package nss-softokn-freebl.x86_64 0:3.44.0-5.el7 will be updated
---> Package nss-softokn-freebl.i686 0:3.44.0-8.el7_7 will be an update
---> Package nss-softokn-freebl.x86_64 0:3.44.0-8.el7_7 will be an update
---> Package nss-sysinit.x86_64 0:3.44.0-4.el7 will be updated
---> Package nss-sysinit.x86_64 0:3.44.0-7.el7_7 will be an update
---> Package nss-tools.x86_64 0:3.44.0-4.el7 will be updated
---> Package nss-tools.x86_64 0:3.44.0-7.el7_7 will be an update
---> Package nss-util.x86_64 0:3.44.0-3.el7 will be updated
---> Package nss-util.x86_64 0:3.44.0-4.el7_7 will be an update
---> Package openvz-release.x86_64 0:7.0.11-3.vz7 will be updated
---> Package openvz-release.x86_64 0:7.0.12-5.vz7 will be an update
--> Processing Dependency: /usr/bin/python3 for package: openvz-release-7.0.12-5.vz7.x86_64
--> Processing Dependency: python36 for package: openvz-release-7.0.12-5.vz7.x86_64
---> Package ploop.x86_64 0:7.0.157-1.vz7 will be updated
---> Package ploop.x86_64 0:7.0.163-1.vz7 will be an update
--> Processing Dependency: libjson-c.so.2(libjson-c.so.2)(64bit) for package: ploop-7.0.163-1.vz7.x86_64
---> Package ploop-lib.x86_64 0:7.0.157-1.vz7 will be updated
---> Package ploop-lib.x86_64 0:7.0.163-1.vz7 will be an update
---> Package prl-disp-service.x86_64 0:7.0.976.8-1.vz7 will be updated
---> Package prl-disp-service.x86_64 0:7.0.1013.4-1.vz7 will be an update
---> Package prlctl.x86_64 0:7.0.180.3-1.vz7 will be updated
---> Package prlctl.x86_64 0:7.0.186-1.vz7 will be an update
---> Package python-criu.x86_64 0:3.12.0.11-1.vz7 will be updated
---> Package python-criu.x86_64 0:3.12.1.36-1.vz7 will be an update
---> Package python-ploop.x86_64 0:7.0.157-1.vz7 will be updated
---> Package python-ploop.x86_64 0:7.0.163-1.vz7 will be an update
---> Package qemu-img-vz.x86_64 10:2.12.0-18.6.5.vz7.36 will be updated
---> Package qemu-img-vz.x86_64 10:2.12.0-33.vz7.14.4 will be an update
---> Package qemu-kvm-common-vz.x86_64 10:2.12.0-18.6.5.vz7.36 will be updated
---> Package qemu-kvm-common-vz.x86_64 10:2.12.0-33.vz7.14.4 will be an update
---> Package qemu-kvm-vz.x86_64 10:2.12.0-18.6.5.vz7.36 will be updated
---> Package qemu-kvm-vz.x86_64 10:2.12.0-33.vz7.14.4 will be an update
--> Processing Dependency: mesa-dri-drivers for package: 10:qemu-kvm-vz-2.12.0-33.vz7.14.4.x86_64
--> Processing Dependency: mesa-libEGL for package: 10:qemu-kvm-vz-2.12.0-33.vz7.14.4.x86_64
--> Processing Dependency: mesa-libGL for package: 10:qemu-kvm-vz-2.12.0-33.vz7.14.4.x86_64
---> Package rsync.x86_64 0:3.1.2-4.el7 will be updated
---> Package rsync.x86_64 0:3.1.2-4.vz7.1 will be an update
---> Package vzctl.x86_64 0:7.0.205.3-1.vz7 will be updated
---> Package vzctl.x86_64 0:7.0.209-1.vz7 will be an update
---> Package vzkernel.x86_64 0:3.10.0-1062.4.2.vz7.116.7 will be installed
---> Package vztt.x86_64 0:7.0.63-1.vz7 will be updated
---> Package vztt.x86_64 0:7.0.67-1.vz7 will be an update
---> Package vztt-lib.x86_64 0:7.0.63-1.vz7 will be updated
---> Package vztt-lib.x86_64 0:7.0.67-1.vz7 will be an update
--> Running transaction check
---> Package libguestfs.x86_64 1:1.40.2-5.1.vz7.4 will be an update
--> Processing Dependency: libjansson.so.4(libjansson.so.4)(64bit) for package: 1:libguestfs-1.40.2-5.1.vz7.4.x86_64
---> Package libprlcommon.x86_64 0:7.0.184.2-1.vz7 will be an update
--> Processing Dependency: lib
...



>> dmc / dtc <<

[Updated on: Thu, 19 December 2019 18:15]

Report message to a moderator

Re: Duplicate kernel error / error checking dependencies [message #53608 is a reply to message #53607] Thu, 19 December 2019 18:26 Go to previous messageGo to next message
dmc_dtc is currently offline  dmc_dtc
Messages: 8
Registered: May 2014
Location: Serbia
Junior Member
From: *dynamic.isp.telekom.rs
Yes, definitely the problem seems to be that packages libprlcommon, libguestfs-tools-c, ploop and libguestfs requires libjson-c.so.2 and libjansson.so.4

Error: Package: libprlcommon-7.0.184.2-1.vz7.x86_64 (openvz-os)
Requires: libjson-c.so.2(libjson-c.so.2)(64bit)
Error: Package: 1:libguestfs-tools-c-1.40.2-5.1.vz7.4.x86_64 (openvz-os)
Requires: libjansson.so.4(libjansson.so.4)(64bit)
Error: Package: ploop-7.0.163-1.vz7.x86_64 (openvz-os)
Requires: libjson-c.so.2(libjson-c.so.2)(64bit)
Error: Package: 1:libguestfs-1.40.2-5.1.vz7.4.x86_64 (openvz-os)
Requires: libjansson.so.4(libjansson.so.4)(64bit)


Which are already installed but they still require it:

[root@vz ~]# rpm -qa | grep json-c
json-c-0.11-4.el7_0.x86_64
[root@vz ~]# ll /usr/lib64/libjson
libjson-c.so.2 libjson-c.so.2.0.1 libjson.so.0 libjson.so.0.1.0
[root@vz ~]# ll /usr/lib64/libjson.so.0
libjson.so.0 libjson.so.0.1.0
[root@vz ~]# ll /usr/lib64/libjson-c.so.2*
lrwxrwxrwx 1 root root 18 Dec 5 2018 /usr/lib64/libjson-c.so.2 -> libjson-c.so.2.0.1*
-rwxr-xr-x 1 root root 45456 Jun 24 2014 /usr/lib64/libjson-c.so.2.0.1*

and

[root@vz ~]# rpm -qa | grep -i jansson
jansson-2.10-1.el7.x86_64
[root@vz ~]# ll /usr/lib64/libjansson.so.4*
lrwxrwxrwx 1 root root 20 Dec 19 19:25 /usr/lib64/libjansson.so.4 -> libjansson.so.4.10.0*
-rwxr-xr-x 1 root root 53944 Aug 3 2017 /usr/lib64/libjansson.so.4.10.0*



The problem also occurs when trying to install Openvz 7 from scratch
new centos 7

install openvz repo then

yum install prlctl prl-disp-service vzkernel prl-disk-tool ploop


same

...snip..
---> Package ploop.x86_64 0:7.0.163-1.vz7 will be installed
--> Processing Dependency: libjson-c.so.2(libjson-c.so.2)(64bit) for package: ploop-7.0.163-1.vz7.x86_64
--> Finished Dependency Resolution
Error: Package: libprlcommon-7.0.184.2-1.vz7.x86_64 (openvz-os)
Requires: libjson-c.so.2(libjson-c.so.2)(64bit)
Error: Package: 1:libguestfs-tools-c-1.40.2-5.1.vz7.4.x86_64 (openvz-os)
Requires: libjansson.so.4(libjansson.so.4)(64bit)
Error: Package: 1:libguestfs-1.40.2-5.1.vz7.4.x86_64 (openvz-os)
Requires: libjansson.so.4(libjansson.so.4)(64bit)
Error: Package: ploop-7.0.163-1.vz7.x86_64 (openvz-os)
Requires: libjson-c.so.2(libjson-c.so.2)(64bit)
You could try using --skip-broken to work around the problem


>> dmc / dtc <<

[Updated on: Thu, 19 December 2019 18:39]

Report message to a moderator

Re: Duplicate kernel error / error checking dependencies [message #53615 is a reply to message #53608] Wed, 08 January 2020 16:54 Go to previous messageGo to next message
creativ-tech is currently offline  creativ-tech
Messages: 2
Registered: January 2020
Junior Member
From: *nyc.biz.rr.com
Hi Dmc-Dtc,
Any update on this issue? I am having exactly same issue now and not able to setup OpenVZ Dec 19 2019 release on CentOS7.
Thanks
Creative-Tech
Re: Duplicate kernel error / error checking dependencies [message #53616 is a reply to message #53615] Wed, 08 January 2020 20:39 Go to previous messageGo to next message
dmc_dtc is currently offline  dmc_dtc
Messages: 8
Registered: May 2014
Location: Serbia
Junior Member
From: *dynamic.isp.telekom.rs
Hi,

yes, initially i didnt get answer here so i posted it as bug in openvz forums here

https://bugs.openvz.org/browse/OVZ-7157

There is a workaround i will post in the end but the main thing is we are doing it wrong. OpenVZ7 is only officially supported on Virtuozzo Liux 7. So up until to now it was possible to somewhat interchangeably use CentOS 7 with OpenVZ and you could install OpenVZ7 on CentOS7, but since latest release (7.0.12) there are changes in json-c and jansson libs which differ from vanilla CentOS versions of those libs. Solution is to install json-c and jansonn from Virtuozzo linux release repos... So before doing install of OpenVZ7 just install this two rpms first:

yum install http://repo.virtuozzo.com/vzlinux/7.7/x86_64/os/Packages/j/j ansson-2.10-1.vl7.1.x86_64.rpm
yum install http://repo.virtuozzo.com/vzlinux/7.7/x86_64/os/Packages/j/j son-c-0.11-13.vl7.1.x86_64.rpm


it can be done on a newly installed CentOS BEFORE openvz packages or apply it to existing CentOS7 with Openvz7 ones up until 7.0.12 release.

So after this i am not sure we wont run into similar issues again in the future if we continue to use CentOS 7 since obviosly virtuozzo linux and CentOS7 are now two separated branches, so i think definitely where you can, better use full virtuozzo linux 7 iso instalation to install it.. but as i mentioned in bug report some hosters make it hard for you to install custom iso so it is better to use centos7 and then convert CentOS7 to virtuozzo ... but the sciprt vzdeploy (which used to do exactly that) is broken with latest CentOS 7.7... so you have two options, either leave it on CentOS7 with this custom "hack" or use Virtuozzo Linux 7. I dont really see this hack as a problem, since i dont use dom0 (host OS) for anything, and i only need it to provide kernel updates to paravirtualaized containers, so even if in the future something similar happens and i cannot update OpenVZ i could still update just vzkernel which is fine.

Hope this solves your problem and give you a bit of background of the problem, again better to read bug report thread for more details.

Cheers


>> dmc / dtc <<

[Updated on: Wed, 08 January 2020 20:40]

Report message to a moderator

Re: Duplicate kernel error / error checking dependencies [message #53617 is a reply to message #53616] Thu, 09 January 2020 16:03 Go to previous messageGo to next message
khorenko is currently offline  khorenko
Messages: 527
Registered: January 2006
Location: Moscow, Russia
Senior Member
From: *virtuozzo.com
dmc_dtc wrote on Wed, 08 January 2020 23:39
... but the sciprt vzdeploy (which used to do exactly that) is broken with latest CentOS 7.7...


Well, i tried to install CentOS 7.7 and convert it to Virtuozzo 7 using "vzdeploy" and yes, i have to admit, there are issues with it.
All of them are workaround-able, but "vzdeploy" has to be enhanced, i agree.
i've filed appropriate bugs internally.

BTW, if someone want to contribute fixes, you are welcome. Smile

And yes, Virtuozzo/OpenVZ baremetal installation is far more predictable. Smile


If you problem is solved - please, report it!
It's even more important than reporting the problem itself...
Re: Duplicate kernel error / error checking dependencies [message #53618 is a reply to message #53617] Thu, 09 January 2020 16:16 Go to previous messageGo to next message
dmc_dtc is currently offline  dmc_dtc
Messages: 8
Registered: May 2014
Location: Serbia
Junior Member
From: *dynamic.isp.telekom.rs
Thank you for your reply Khorenko, i did indeed try to make vzdeploy work, but couldn't get around no network problem after vzdeploy finished and system restarted. If you see thread where i reported this bug (in my prevous message link) i reported exactly what happened and what i tried, i would be grateful for workaround around network issue, that is in my setup (vmware 15.5.1 with CentOS 7) and when i run vzdeploy, network card is not visible and any network query on the card like ifconfig -a of ip addr locks up whole system?



>> dmc / dtc <<

[Updated on: Thu, 09 January 2020 16:17]

Report message to a moderator

Re: Duplicate kernel error / error checking dependencies [message #53620 is a reply to message #53618] Fri, 10 January 2020 08:54 Go to previous messageGo to next message
khorenko is currently offline  khorenko
Messages: 527
Registered: January 2006
Location: Moscow, Russia
Senior Member
From: *virtuozzo.com
dmc_dtc wrote on Thu, 09 January 2020 19:16
... network problem after vzdeploy finished and system restarted...

The root of the problem i guess is using new ip util and really very old vzkernel.
(Why vzlinux contains that old vzkernel package? Well, in fact vzlinux is not used as a standalone distro anymore, so vzkernel package normally comes from virtuozzo repos which contain fresh versions)

Workaround: just don't reboot node after "vzdeploy" is finished. Smile

Yes, i've seen, the documentation says you need to reboot, well, the documentation should be fixed as well.

Basically yesterday i came to the following procedure which resulted in OpenVZ 7 converted from CentOS 7.7:
(yes, with a number of hacks and workarounds) until scripts are fixed:

# rpm -e kpatch

# wget http://repo.virtuozzo.com/vzlinux/vzdeploy/vzdeploy
# chmod 755 vzdeploy
# ./vzdeploy --skip-kmod-check --skip-version-check
// DO NOT REBOOT!
# do-upgrade-vzlin-vz7 --skip-license

# rpm -e libreport-plugin-problem-report libreport-plugin-vzlinux-bugs
# yum update -y
# reboot


Hope that helps.


If you problem is solved - please, report it!
It's even more important than reporting the problem itself...
Re: Duplicate kernel error / error checking dependencies [message #53622 is a reply to message #53620] Fri, 10 January 2020 14:32 Go to previous messageGo to next message
dmc_dtc is currently offline  dmc_dtc
Messages: 8
Registered: May 2014
Location: Serbia
Junior Member
From: *dynamic.isp.telekom.rs
Thank you very much, i confirm that this method described works perfectly and you get full working virtuozzo after conversion. So i guess vzdeploy could be changed to reflect those workarounds i guess, or put this workaround into documentation in the meantime, great work, have a nice day, this will be very handy for converting new CentOS 7 machines into OpenVZ... much easier then ordering KVM switch to do custom .iso install

PS. The problem was definitely in old vzkernel in vzdeploy, and i did always restart it and then loose network to be able to update it.



>> dmc / dtc <<
Re: Duplicate kernel error / error checking dependencies [message #53636 is a reply to message #53620] Thu, 20 February 2020 01:32 Go to previous messageGo to next message
creativ-tech is currently offline  creativ-tech
Messages: 2
Registered: January 2020
Junior Member
From: *res.spectrum.com
Thanks khorenko and dmc_dtc for your discussion, it is very helpful and
thanks to khorenko for your method enclosed below

I have couple of questions:
1) after running these cmds, I ended up with OpenVZ on Virtuozzo Linux? or it is the Virtuozzo container that needs a license and pay? and I still need to install openvz like what we used to do on CentOS?
2) and seen from vz log:
systemd[1]: Starting OpenVZ Container service...
vz[563647]: RTNETLINK answers: Operation not supported
vz[563647]: Cannot find device "venet0"
vz[563647]: sysctl: cannot stat /proc/sys/net/ipv4/conf/venet0/send_redirects: No such file or directory
vz[563647]: sysctl: cannot stat /proc/sys/net/ipv4/conf/venet0/rp_filter: No such file or directory
vz[563647]: Unable to open /dev/vzctl: No such file or directory
systemd[1]: Started OpenVZ Container service.

it seems something not working correctly (no venet0, /dev/vzctl: No such file or directory, and those ipv4 settings for iptables? instead, I have: br0, eno1, enp1s0f0, enp1s0f1, lo and virbr0)? is this because the new Virtuozzo linux sets up the network config differently or something I missed here? I actually run your cmds and then install openvz like what we used to do on CentOS to install OpenVZ, i.e.
wget https://download.openvz.org/virtuozzo/releases/openvz-7.0.12 -288/x86_64/os/Packages/o/openvz-release-7.0.12-5.vz7.x86_64 .rpm
yum localinstall openvz-release-7.0.12-5.vz7.x86_64.rpm

yum install prlctl prl-disp-service vzkernel prl-disk-tool ploop

Thanks
CT
P.S.

# rpm -e kpatch

# wget http://repo.virtuozzo.com/vzlinux/vzdeploy/vzdeploy
# chmod 755 vzdeploy
# ./vzdeploy --skip-kmod-check --skip-version-check
// DO NOT REBOOT!
# do-upgrade-vzlin-vz7 --skip-license

# rpm -e libreport-plugin-problem-report libreport-plugin-vzlinux-bugs
# yum update -y
# reboot

[Updated on: Thu, 20 February 2020 02:37]

Report message to a moderator

Re: Duplicate kernel error / error checking dependencies [message #53637 is a reply to message #53636] Thu, 20 February 2020 09:09 Go to previous message
khorenko is currently offline  khorenko
Messages: 527
Registered: January 2006
Location: Moscow, Russia
Senior Member
From: *virtuozzo.com
creativ-tech wrote on Thu, 20 February 2020 04:32
1) after running these cmds, I ended up with OpenVZ on Virtuozzo Linux? or it is the Virtuozzo container that needs a license and pay? and I still need to install openvz like what we used to do on CentOS?


You'll end up with Virtuozzo 7 distro.
But if you don't have a license, it works in "OpenVZ" mode - with some features disabled (like pfcache, backups).
You probably would like to disable vzlicmon service in order it does not complain about absent license (systemctl disable vzlicmon).

You don't need to install "prlctl prl-disp-service vzkernel prl-disk-tool ploop" manually, they should be already installed by vzdeploy.

creativ-tech wrote on Thu, 20 February 2020 04:32
2) and seen from vz log:
systemd[1]: Starting OpenVZ Container service...
vz[563647]: RTNETLINK answers: Operation not supported
vz[563647]: Cannot find device "venet0"
vz[563647]: sysctl: cannot stat /proc/sys/net/ipv4/conf/venet0/send_redirects: No such file or directory
vz[563647]: sysctl: cannot stat /proc/sys/net/ipv4/conf/venet0/rp_filter: No such file or directory
vz[563647]: Unable to open /dev/vzctl: No such file or directory
systemd[1]: Started OpenVZ Container service.


i think you just did not reboot into vzkernel, still running stock CentOS kernel.


If you problem is solved - please, report it!
It's even more important than reporting the problem itself...
Previous Topic: ploop-balloon discard for additional HDD
Next Topic: openvz 6 really end of life
Goto Forum:
  


Current Time: Thu Dec 03 07:55:06 GMT 2020